Package org.eclipse.net4j.signal

## Class SignalProtocol.InvalidSignalIDException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.eclipse.net4j.signal.SignalProtocol.InvalidSignalIDException

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    SignalProtocol<INFRA_STRUCTURE>

      public static final class SignalProtocol.InvalidSignalIDException
      extends java.lang.IllegalArgumentException

  Since:
    4.10
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidSignalIDException​(short signalID)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `short` | `getSignalID()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidSignalIDException

          public InvalidSignalIDException​(short signalID)

  - ### Method Detail

    - #### getSignalID

          public short getSignalID()